### Constructor

# Ide LspCodeAction new

#### Declaration

    IdeLspCodeAction*
    ide_lsp_code_action_new (
      IdeLspClient* client,
      const gchar* title,
      const gchar* command,
      GVariant* arguments,
      IdeLspWorkspaceEdit* workspace_edit
    )

#### Description

No description available.

#### Parameters

`client` | `IdeLspClient`
| No description available.
| The data is owned by the caller of the function.
`title` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`command` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`arguments` | `GVariant`
| No description available.
| The data is owned by the caller of the function.
`workspace_edit` | `IdeLspWorkspaceEdit`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeLspCodeAction`
| No description available.
| The caller of the function takes ownership of the data, and is responsible for freeing it.